Page MenuHomePhabricator

Create Awadhi Wikipedia
Closed, ResolvedPublic

Description

The language committee has approved the creation of the Awadhi Wikipedia.

  • Local file uploads: disabled

Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2020, 8:07 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 29 2020, 9:52 AM

This needs adding WikimediaMessages and DNS (and gets deployed) before we can move forward with creation: https://wikitech.wikimedia.org/wiki/Add_a_wiki

Zoranzoki21 added a subscriber: Zoranzoki21.

Let me work on this. :)

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptApr 29 2020, 1:23 PM

Change 593280 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/dns@master] Add awa lang

https://gerrit.wikimedia.org/r/593280

Change 593283 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Awadhi Wikipedia

https://gerrit.wikimedia.org/r/593283

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.EditedApr 29 2020, 5:55 PM
Zoranzoki21 moved this task from Inbox to Watching on the User-Zoranzoki21 board.

Umm, I'm confused about operations/mediawiki-config. Can someone else do things which left instead of me please?

Wouldn't it be better to clear the confusion instead? What's wrong with the config part?

Zoranzoki21 added a comment.EditedApr 29 2020, 8:23 PM

Wouldn't it be better to clear the confusion instead? What's wrong with the config part?

I wanted to use https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/552016 as example which all files I have to change.
I'm confused with these things:

  1. Where I should set disabling local file uploads?
  2. What is purpose of commonsuploads.dblist?
  3. For what is wikipedia-english.dblist?

Ok, I re-read https://wikitech.wikimedia.org/wiki/Add_a_wiki#MediaWiki_configuration again. But I still have question about wikipedia-english.dblist

Zoranzoki21 moved this task from Watching to Working on on the User-Zoranzoki21 board.

Let me reassign this.

kizule@kizule-laptop:~/Desktop/development/mediawiki-config$ composer test
> composer lint
> parallel-lint --exclude vendor --exclude multiversion/vendor --ignore-fails .
PHP 7.4.3 | 10 parallel jobs
............................................................  60/135 (44 %)
............................................................ 120/135 (88 %)
...............                                              135/135 (100 %)


Checked 135 files in 3.9 seconds
No syntax error found
> phpunit
PHPUnit 8.5.2 by Sebastian Bergmann and contributors.

Runtime:       PHP 7.4.3
Configuration: /home/kizule/Desktop/development/mediawiki-config/phpunit.xml

.............................................................   61 / 1008 (  6%)
.............................................................  122 / 1008 ( 12%)
.............................................................  183 / 1008 ( 18%)
.............................................................  244 / 1008 ( 24%)
.............................................................  305 / 1008 ( 30%)
.............................................................  366 / 1008 ( 36%)
.............................................................  427 / 1008 ( 42%)
.............................................................  488 / 1008 ( 48%)
.............................................................  549 / 1008 ( 54%)
.............................................................  610 / 1008 ( 60%)
.............................................................  671 / 1008 ( 66%)
.............................................................  732 / 1008 ( 72%)
.............................................................  793 / 1008 ( 78%)
.............................................................  854 / 1008 ( 84%)
.............................................................  915 / 1008 ( 90%)
.............................................................  976 / 1008 ( 96%)
..............................FF                              1008 / 1008 (100%)

Time: 3.06 seconds, Memory: 16.00 MB

There were 2 failures:

1) TimelineTest::testTimelineFontFileEexists with data set #0 ('FreeSansWMF')
Failed asserting that file "/home/kizule/Desktop/development/mediawiki-config/tests/../fonts/FreeSansWMF" exists.

/home/kizule/Desktop/development/mediawiki-config/tests/timelineTest.php:20

2) TimelineTest::testTimelineFontFileEexists with data set #1 ('unifont-5.1.20080907')
Failed asserting that file "/home/kizule/Desktop/development/mediawiki-config/tests/../fonts/unifont-5.1.20080907" exists.

/home/kizule/Desktop/development/mediawiki-config/tests/timelineTest.php:20

FAILURES!
Tests: 1008, Assertions: 42456, Failures: 2.
Script phpunit handling the test event returned with error code 1
kizule@kizule-laptop:~/Desktop/development/mediawiki-config$

Why this happens?

I had to run git submodule update --init, thanks to @Krinkle for hint. But, this no happens: Once your YAML file is created, run composer test which will update the automatic "dblist" files and spot any issues.

Change 593280 merged by Dzahn:
[operations/dns@master] Add Awadhi (awa) lang

https://gerrit.wikimedia.org/r/593280

Dzahn added a subscriber: Dzahn.Apr 30 2020, 7:24 AM

Added to DNS:

awa.wikipedia.org is an alias for dyna.wikimedia.org.

We can't create the wiki before Monday 11th May (the train has to bring the wikimedia messages patch to production) but after that it's fine (assuming we get the config patch worked out)

Change 593283 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Awadhi Wikipedia

https://gerrit.wikimedia.org/r/593283

We can't create the wiki before Monday 11th May (the train has to bring the wikimedia messages patch to production) but after that it's fine (assuming we get the config patch worked out)

Yes, but I have problem which I reported here up and asked about it on wikitech-l.

I had to run git submodule update --init, thanks to @Krinkle for hint. But, this no happens: Once your YAML file is created, run composer test which will update the automatic "dblist" files and spot any issues.

I had to run git submodule update --init, thanks to @Krinkle for hint. But, this no happens: Once your YAML file is created, run composer test which will update the automatic "dblist" files and spot any issues.

You need to add the wiki to wikiversions.json for the dblist builder to know it exists.

Zoranzoki21 added a comment.EditedApr 30 2020, 9:08 PM

I had to run git submodule update --init, thanks to @Krinkle for hint. But, this no happens: Once your YAML file is created, run composer test which will update the automatic "dblist" files and spot any issues.

You need to add the wiki to wikiversions.json for the dblist builder to know it exists.

Added, but still this no works.

kizule@kizule-laptop:~/Desktop/development/mediawiki-config$ composer buildDBLists
> php -e multiversion/buildDBLists.php
kizule@kizule-laptop:~/Desktop/development/mediawiki-config$ git status
On branch master
Your branch is up to date with 'origin/master'.

Changes to be committed:
  (use "git restore --staged <file>..." to unstage)
        modified:   wikiversions.json
        new file:   wmf-config/config/awawiki.yaml

kizule@kizule-laptop:~/Desktop/development/mediawiki-config$

If you push your WIP patch my diagnosis will go a lot faster. :-)

I'm not sure that I should do it right now.

git diff for wikiversions.json:

kizule@kizule-laptop:~/Desktop/development/mediawiki-config$ git diff *
diff --git a/wikiversions.json b/wikiversions.json
index 43755a88d..af088d061 100644
--- a/wikiversions.json
+++ b/wikiversions.json
@@ -54,6 +54,7 @@
     "auditcomwiki": "php-1.35.0-wmf.28",
     "avwiki": "php-1.35.0-wmf.28",
     "avwiktionary": "php-1.35.0-wmf.30",
+    "awawiki": "php-1.35.0-wmf.28",
     "aywiki": "php-1.35.0-wmf.28",
     "aywikibooks": "php-1.35.0-wmf.30",
     "aywiktionary": "php-1.35.0-wmf.28",
kizule@kizule-laptop:~/Desktop/development/mediawiki-config$

Content of awawiki.yaml:

# WARNING: This file is publicly viewable on the Web. Do not put private data here.
# This is the configuration file for settings specific to the Awadhi Wikipedia.
# See the inheritance tree to find where most settings are defined.

inheritsFrom:
  - wikipedia
  - commonsuploads
  - s3
  - small
  - wikidataclient
Krinkle removed a subscriber: Krinkle.Apr 30 2020, 9:29 PM

Aha! Sorry, I forgot, we changed things so this reads from all.dblist.

This means you'll need to manually add awawiki to all.dblist as well.

Once you do that, it should work.

Sorry for this.

Cool! Works! Thank you @Jdforrester-WMF! This works now:

Can you update documentation as well?

Zoranzoki21 added a comment.EditedApr 30 2020, 11:44 PM

Things looks good for now, I will upload a patch after 10-11:00 AM (UTC +2) because things which left for me in operations/mediawiki-config is editing InitialiseSettings.php.

Change 593743 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] [WIP] Initial config for awawiki

https://gerrit.wikimedia.org/r/593743

What is left to do now?

What is left to do now?

Wait until the messages get deployed (next week) and then the actual creation happens at Monday 11.

What is left to do now?

Wait until the messages get deployed (next week) and then the actual creation happens at Monday 11.

I mean "Is there any patch more which I should create?", but I think that answer is same 😃.

Zoranzoki21 added a comment.EditedMay 2 2020, 6:13 PM

I done this, but there isn't awa.

app/src/main/res/values/languages_list.xml is only changed, but I executed two scripts from documentation. And in this file isn't awa.

Ladsgroup updated the task description. (Show Details)Fri, May 8, 7:33 PM

Ivm, my mistake, it's post-install, heh :D. Could you have a look at the reviews at your patch?

Let me know once this is ready to be deployed :)

Ivm, my mistake, it's post-install, heh :D. Could you have a look at the reviews at your patch?

Will do.

Let me know once this is ready to be deployed :)

Ok, thanks!

Zoranzoki21 updated the task description. (Show Details)Thu, May 14, 7:50 PM

@Ladsgroup Hello, Martin voted patch with +1. I think that patch can get +2 now. Let me know if is something left to do in patch for operations/mediawiki-config repo.

@Ladsgroup Hello, Martin voted patch with +1. I think that patch can get +2 now. Let me know if is something left to do in patch for operations/mediawiki-config repo.

Thanks. Tomorrow is Friday and no deploys are allowed (for good reasons). We will deploy this on Monday then.

Lydia_Pintscher changed the status of subtask T252870: Add Wikidata support for awawiki from Open to Stalled.Sat, May 16, 9:46 AM
Ladsgroup updated the task description. (Show Details)Mon, May 18, 1:56 PM

Change 593743 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial config for awawiki

https://gerrit.wikimedia.org/r/593743

Change 597520 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add awawiki to wikiversions.json

https://gerrit.wikimedia.org/r/597520

Change 597520 merged by jenkins-bot:
[operations/mediawiki-config@master] Add awawiki to wikiversions.json

https://gerrit.wikimedia.org/r/597520

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:12:20Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: Create Awadhi Wikipedia (awawiki) - T251371

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:14:45Z] <ladsgroup@deploy1001> Synchronized multiversion/MWMultiVersion.php: Create Awadhi Wikipedia (awawiki) - T251371 (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:16:38Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos: Create Awadhi Wikipedia (awawiki) - T251371 (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:18:21Z] <ladsgroup@deploy1001> Synchronized langlist: Create Awadhi Wikipedia (awawiki) - T251371 (duration: 01m 06s)

Ladsgroup closed this task as Resolved.Wed, May 20, 1:05 PM
Ladsgroup changed the status of subtask T252870: Add Wikidata support for awawiki from Stalled to Open.

All the needed parts have subtickets now. It's done.

jhsoby updated the task description. (Show Details)Thu, May 21, 1:06 PM
Addshore changed the status of subtask T252870: Add Wikidata support for awawiki from Open to Stalled.Wed, May 27, 1:38 PM